# MultiPrefixPhpViewResolver Class Reference
[Spring-like webflow tools]

View resolver for php templates with multiple prefix support. More...

Inheritance diagram for MultiPrefixPhpViewResolver:
[legend]

List of all members.

## Public Member Functions

| addFirstPrefix ($prefix)
| addPrefix ($prefix, $alias=null)
| getPrefixes ()
| dropPrefixes ()
| isPrefixDisabled ($alias)
| disablePrefix ($alias=null, $disabled=true)
| enablePrefix ($alias)
| getPostfix ()
| setPostfix ($postfix)
| resolveViewName ($viewName)
| viewExists ($viewName)
| setViewClassName ($viewClassName)
| getViewClassName ()

## Static Public Member Functions

static | create ()

## Protected Member Functions

| findPrefix ($viewName, $checkDisabled=true)
| makeView ($prefix, $viewName)

## Private Member Functions

| getAutoAlias ($prefix)

## Private Attributes

| $prefixes = array()
| $lastAlias = null
| $disabled = array()
| $postfix = EXT_TPL
| $viewClassName = 'SimplePhpView'

## Detailed Description

View resolver for php templates with multiple prefix support.

Will resolve view to first readable template from supplied prefixes list

Definition at line 20 of file MultiPrefixPhpViewResolver.class.php.

## Member Function Documentation

MultiPrefixPhpViewResolver::addFirstPrefix | ( | $ | prefix | ) |

Returns:
  MultiPrefixPhpViewResolver

Definition at line 41 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::addPrefix | ( | $ | prefix,
|  | $ | alias = `null` |
| ) |  |  |

Returns:
  MultiPrefixPhpViewResolver

Definition at line 51 of file MultiPrefixPhpViewResolver.class.php.

References getAutoAlias(), and Assert::isFalse().

Here is the call graph for this function:

static MultiPrefixPhpViewResolver::create | ( |  | ) | `[static]`

Returns:
  MultiPrefixPhpViewResolver

Definition at line 33 of file MultiPrefixPhpViewResolver.class.php.

Referenced by resolveViewName().

MultiPrefixPhpViewResolver::disablePrefix | ( | $ | alias = `null`,
|  | $ | disabled = `true` |
| ) |  |  |

Returns:
  MultiPrefixPhpViewResolver

Definition at line 96 of file MultiPrefixPhpViewResolver.class.php.

References $disabled, Assert::isIndexExists(), and Assert::isNotNull().

Referenced by enablePrefix().

Here is the call graph for this function:

MultiPrefixPhpViewResolver::dropPrefixes | ( |  | ) |

Returns:
  MultiPrefixPhpViewResolver

Definition at line 76 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::enablePrefix | ( | $ | alias | ) |

Definition at line 113 of file MultiPrefixPhpViewResolver.class.php.

References disablePrefix().

Here is the call graph for this function:

MultiPrefixPhpViewResolver::findPrefix | ( | $ | viewName,
|  | $ | checkDisabled = `true` |
| ) |  |  | `[protected]`

Definition at line 173 of file MultiPrefixPhpViewResolver.class.php.

Referenced by resolveViewName(), and viewExists().

MultiPrefixPhpViewResolver::getAutoAlias | ( | $ | prefix | ) | `[private]`

Definition at line 201 of file MultiPrefixPhpViewResolver.class.php.

Referenced by addPrefix().

MultiPrefixPhpViewResolver::getPostfix | ( |  | ) |

Definition at line 118 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::getPrefixes | ( |  | ) |

Definition at line 68 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::getViewClassName | ( |  | ) |

Definition at line 168 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::isPrefixDisabled | ( | $ | alias | ) |

Definition at line 82 of file MultiPrefixPhpViewResolver.class.php.

References Assert::isIndexExists().

Here is the call graph for this function:

MultiPrefixPhpViewResolver::makeView | ( | $ | prefix,
|  | $ | viewName |
| ) |  |  | `[protected]`

Returns:
  View

Definition at line 193 of file MultiPrefixPhpViewResolver.class.php.

Referenced by resolveViewName().

MultiPrefixPhpViewResolver::resolveViewName | ( | $ | viewName | ) |

Returns:
  SimplePhpView

Implements ViewResolver.

Definition at line 135 of file MultiPrefixPhpViewResolver.class.php.

References create(), findPrefix(), Assert::isFalse(), and makeView().

Here is the call graph for this function:

MultiPrefixPhpViewResolver::setPostfix | ( | $ | postfix | ) |

Returns:
  MultiPrefixPhpViewResolver

Definition at line 126 of file MultiPrefixPhpViewResolver.class.php.

References $postfix.

MultiPrefixPhpViewResolver::setViewClassName | ( | $ | viewClassName | ) |

Returns:
  MultiPrefixPhpViewResolver

Definition at line 161 of file MultiPrefixPhpViewResolver.class.php.

References $viewClassName.

MultiPrefixPhpViewResolver::viewExists | ( | $ | viewName | ) |

Definition at line 153 of file MultiPrefixPhpViewResolver.class.php.

References findPrefix().

Here is the call graph for this function:

## Member Data Documentation

MultiPrefixPhpViewResolver::$disabled = array()`[private]`

Definition at line 25 of file MultiPrefixPhpViewResolver.class.php.

Referenced by disablePrefix().

MultiPrefixPhpViewResolver::$lastAlias = null`[private]`

Definition at line 23 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::$postfix = EXT_TPL`[private]`

Definition at line 27 of file MultiPrefixPhpViewResolver.class.php.

Referenced by setPostfix().

MultiPrefixPhpViewResolver::$prefixes = array()`[private]`

Definition at line 22 of file MultiPrefixPhpViewResolver.class.php.

MultiPrefixPhpViewResolver::$viewClassName = 'SimplePhpView'`[private]`

Definition at line 28 of file MultiPrefixPhpViewResolver.class.php.

Referenced by setViewClassName().

The documentation for this class was generated from the following file:

- main/Flow/MultiPrefixPhpViewResolver.class.php